classification
Title: Add support for mingw64 compiler
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: alexis, eric.araujo, loewis, moog, steve.dower, tarek
Priority: normal Keywords: patch

Created on 2011-03-30 16:41 by moog, last changed 2021-02-03 19:11 by Jeffrey.Armstrong. This issue is now closed.

Files
File name Uploaded Description Edit
mingw64.diff moog, 2011-03-30 16:41
Messages (7)
msg132597 - (view) Author: Jason Morgan (moog) Date: 2011-03-30 16:41
Python2.7 has no proper support for mings64.  You can use environment path to trick compiler into using mings64, but this will cause conflict with other builds.
Adding a mings64 compiler options is much more sensible as both mingw32 and mings64 can co-exist. (mingw64 has a prefix for all it's exe's)

Suggest following patch, tested with mingw-w64-1.0-bin_i686-mingw_20110328 and Python-2.7.1(x64) on Windows7.

Diff attached.

See related issue 11722
msg132607 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-03-30 19:19
What is mings64?
msg132638 - (view) Author: Jason Morgan (moog) Date: 2011-03-31 07:47
Ok, I know there is a typo, (mings64 should read mingw64) I realised after posting but can't edit it. I don't need any more emails telling me I can't spell (or type) - I knew that already!
msg132707 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-03-31 21:33
Sorry, I honestly wasn't sure whether this is a typo, or whether mings64 is something I hadn't heard of (for the record, I'm not sure what mingw64 really is, either).
msg132754 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-01 16:44
As Mingw64 support is not currently claimed in the documentation, this is a feature request and can’t land in stable versions.  I suggest you wait a bit for the merge of distutils2 into the standard library an then refresh your patch.
msg213458 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-13 20:29
“MinGW 64 is an open source C/C++ compiler based on the popular gcc; basically, it is intended to generate executables for Windows 64 bit.”

If there is significant interest from the community for that compiler, support could be added to 3.5.

Alternatively, a way to add third-party compilers could be designed.
msg386415 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:29
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 19:11:17Jeffrey.Armstrongsetnosy: - Jeffrey.Armstrong
2021-02-03 18:29:08steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386415

resolution: out of date
stage: resolved
2014-03-13 20:29:12eric.araujosetassignee: tarek ->
messages: + msg213458
components: + Distutils, - Distutils2
versions: + Python 3.5, - Python 3.3
2013-06-23 22:04:51Jeffrey.Armstrongsetnosy: + Jeffrey.Armstrong
2011-04-01 16:44:42eric.araujosetassignee: tarek
type: behavior -> enhancement

components: + Distutils2, - Extension Modules
title: No proper support for mingw64 - patch to add -> Add support for mingw64 compiler
nosy: + alexis, eric.araujo, tarek
versions: + Python 3.3, - Python 2.7
messages: + msg132754
2011-03-31 21:33:21loewissetmessages: + msg132707
2011-03-31 07:47:36moogsetmessages: + msg132638
2011-03-30 19:19:20loewissetnosy: + loewis
messages: + msg132607
2011-03-30 16:41:46moogcreate